local NEED_ACTIVEPOINT = 50
local g_szMission = "工程任务"
local g_nParam = {}
local g_nIndex = 0
local g_idMission = 0
local g_idScript = 0
local g_dwNextTime = 0
local t_Nextindex = 0
local g_k = 0
FirstObjects(1)
local kill_Pos = {
	[0] = {tX=23, tY=15},
	[1] = {tX=19, tY=35},
	[2] = {tX=32, tY=47},
	[3] = {tX=19, tY=36},
	[4] = {tX=33, tY=47},
	[5] = {tX=52, tY=26},
	[6] = {tX=34, tY=10},
}

local vOption = {
	{"坏掉的刀柄,{坏掉的枪杆，坏掉的剑鞘，坏掉的双棍，坏掉的扇骨，坏掉的环片，坏掉的黄骨，坏掉的地心，坏掉的玄丝，坏掉的天眼，坏掉的冰肌，坏掉的雪魄，坏掉的寒云，草皮革，奇特的味腺，绿色液体，新鲜肉，草皮毛"},
	{"残缺的刀柄，残缺的枪杆，残缺的剑鞘，残缺的双棍，残缺的扇骨，残缺的环片，残缺的黄骨，残缺的地心，残缺的玄丝，残缺的天眼，残缺的冰肌，残缺的雪魄，残缺的寒云，轻皮革，怪味肉，红色液体，细嫩肉，轻皮毛"},
	{"破损的刀柄，破损的枪杆，破损的剑鞘，破损的双棍，破损的扇骨，破损的环片，破损的黄骨，破损的地心，破损的玄丝，破损的天眼，破损的冰肌，破损的雪魄，破损的寒云，小皮革，残缺的内丹，怪物的血液，前肘肉，小皮毛"},
	{"破旧的刀柄，破旧的枪杆，破旧的剑鞘，破旧的双棍，破旧的扇骨，破旧的环片，破旧的黄骨，破旧的地心，破旧的玄丝，破旧的天眼，破旧的冰肌，破旧的雪魄，破旧的寒云，中皮革，完整的内丹，怪物的毛发，后肘肉，中皮毛"},
	{"完好的刀柄，完好的枪杆，完好的剑鞘，完好的双棍，完好的扇骨，完好的环片，完好的黄骨，完好的地心，完好的玄丝，完好的天眼，完好的冰肌，完好的雪魄，完好的寒云，大皮革，发光的内丹，奇特的爪子，前腿肉，大皮毛"},
	{"普通的刀柄，普通的枪杆，普通的剑鞘，普通的双棍，普通的扇骨，普通的环片，普通的黄骨，普通的地心，普通的玄丝，普通的天眼，普通的冰肌，普通的雪魄，普通的寒云，真皮革，完美的内丹，黑暗牙齿，后腿肉，真皮毛"},
	{"发光的刀柄，发光的枪杆，发光的剑鞘，发光的双棍，发光的扇骨，发光的环片，发光的黄骨，发光的地心，发光的玄丝，发光的天眼，发光的冰肌，发光的雪魄，发光的寒云，厚皮革，闪亮的内丹，野蛮之血，侧股肉，厚皮毛"},
	{"完美的刀柄，完美的枪杆，完美的剑鞘，完美的双棍，完美的扇骨，完美的环片，完美的黄骨，完美的地心，完美的玄丝，完美的天眼，完美的冰肌，完美的雪魄，完美的寒云，重皮革，无瑕的内丹，灵丹碎片，里脊肉，重皮毛"},
	{"闪亮的刀柄，闪亮的枪杆，闪亮的剑鞘，闪亮的双棍，闪亮的扇骨，闪亮的环片，闪亮的黄骨，闪亮的地心，闪亮的玄丝，闪亮的天眼，闪亮的冰肌，闪亮的雪魄，闪亮的寒云，鳞皮革，兽丹，灵丹，白条肉"},
	{"七彩的刀柄，七彩的枪杆，七彩的剑鞘，七彩的双棍，七彩的扇骨，七彩的环片，七彩的黄骨，七彩的地心，七彩的玄丝，七彩的天眼，七彩的冰肌，七彩的雪魄，七彩的寒云，鳞皮毛，妖丹，异丹，肥肉"}
}

local g_NpcInfo = {
	[0] = {szNpcName="马应雄", fX=65, fY=55},
}

function 前往帮会驻地()
	if 是否在驻地() ~= 1 then
		打印信息("前往帮会城市")
		召唤坐骑(1)
		跨图寻路(237,236,"洛阳")
		对话npc("范纯仁")
		对话选项("进入本帮城市")
		while 是否在驻地() ~= 1 do 延迟(2000) end
	end
end

function 离开帮会地图()
	if 是否在驻地() == 1 then
		召唤坐骑(1)
		地图寻路(98,157)
		延迟(1000)
		点击确定()
		while 是否在驻地() == 1 do 延迟(2000) end
	end
end

function 交任务()
	前往帮会驻地()
	地图寻路(g_NpcInfo[0].fX, g_NpcInfo[0].fY)
	对话npc(g_NpcInfo[0].szNpcName)
	对话选项(g_szMission)
	任务继续()
	任务完成()
end

function 工程任务()
	local 任务进度 = 取任务进度(g_szMission)
	if 任务进度 == -1 then
		if GetRoleActive() >= NEED_ACTIVEPOINT then
			前往帮会驻地()
			地图寻路(g_NpcInfo[0].fX, g_NpcInfo[0].fY)
			对话npc(g_NpcInfo[0].szNpcName)
			对话选项(g_szMission)
			接受任务()
			延迟(1000)
			return 工程任务()
		else
			打印信息("人物活跃度不足,无法接取任务,离开帮会地图")
			离开帮会地图()
			跨图寻路(237,236,"洛阳")
			return
		end
	end
	
	if 任务进度 == 1 then
		交任务()
		return 工程任务()
	end
	
	if 任务进度 == 0 then
		local 类型 = 取任务参数(g_szMission,2)
		if 类型 == 600004 then
			if 查找对话项文本(5,"入矿") == 1 and 是否在驻地() == 1 then
				对话选项("进入矿场")
				while 是否在驻地() == 1 do 打印信息("正在传送到场景") 延迟(2000) g_k = g_k + 1 if g_k == 5 then g_k = 0 break end end
			else
				前往帮会驻地()
				if 取距离(g_NpcInfo[0].fX, g_NpcInfo[0].fY) >= 3 then
					地图寻路(g_NpcInfo[0].fX, g_NpcInfo[0].fY)
				end
				对话npc(g_NpcInfo[0].szNpcName)
				对话选项(g_szMission)
				对话选项("进入矿场")
				while 是否在驻地() == 1 do 打印信息("正在传送到场景") 延迟(2000) g_k = g_k + 1 if g_k == 5 then g_k = 0 break end end
			end
			if 取地图名() == "矿场" then
				召唤坐骑(0)
				while 取任务参数(g_szMission,0) ~= 1 do
					local Ret1 = 打怪设置("",0)
					if Ret1 == -1 then
						地图寻路(kill_Pos[t_Nextindex].tX, kill_Pos[t_Nextindex].tY)
						t_Nextindex = t_Nextindex + 1
						if t_Nextindex > 6 then
							t_Nextindex = 0
						end
					end
					延迟(100)
				end
				while 取地图名() == "矿场" do 打印信息("正在传回到帮会地图") 延迟(2000) end
			end
			return 工程任务()
		end
		
		if 类型 == 600005 then
			local 参数 = 取任务参数(g_szMission,6) --1A
			local x,y,ID,NpcName,_ = GetBuildingParameters(参数)
			local a,b = GetBackxyEx("定位符")
			if a ~= 0 and b ~= 0 then 
				local Ret1 = 0
				while 取地图名() == 地图名 do 打印信息("使用定位符传送中。。") 延迟(2000) Ret1 = Ret1 + 1 if Ret1 == 3 then break end end 
			else
				离开帮会地图()
			end
			召唤坐骑(1)
			ID_寻路(x,y,ID)
			对话npc(NpcName)
			if 取任务参数(g_szMission,0) == 1 then 打印信息("任务完成。。") end
			return 工程任务()
		end
		
		if 类型 == 600003 then
			local 参数 = 取任务参数(g_szMission,3)--1E
			local x,y,ID,Npcname,szItem = BhGetGoodsName(参数,0)
			打印信息(x..y..ID..Npcname..szItem)
			local a,b = GetBackxyEx("定位符")
			if a ~= 0 and b ~= 0 then 
				local Ret1 = 0
				while 取地图名() == 地图名 do 打印信息("使用定位符传送中。。") 延迟(2000) Ret1 = Ret1 + 1 if Ret1 == 3 then break end end 
			else
				离开帮会地图()
			end
			if x ~= 0 and y ~= 0 then
				ID_寻路(x,y,ID)
				local szPage = nil
				for i = 1 , 10 do
					if StringFind(vOption[i][1],szItem) == 1 then
						szPage = i
						break
					end
				end
				打印信息("szPage = "..szPage)
				对话npc(Npcname)
				延迟(1000)
				对话选项("赠点商店")
				延迟(1000)
				if szPage == 1 then 
					对话选项("一级材料 ") 
				elseif szPage == 2 then 
					对话选项("二级材料 ")
				elseif szPage == 3 then 	
					对话选项("三级材料 ")
				elseif szPage == 4 then 
					对话选项("四级材料 ")
				elseif szPage == 5 then 
					对话选项("五级材料 ")
				elseif szPage == 6 then 
					对话选项("六级材料 ")
				elseif szPage == 7 then
					对话选项("七级材料 ")
				elseif szPage == 8 then 
					对话选项("八级材料 ")
				elseif szPage == 9 then 
					对话选项("九级材料 ")
				elseif szPage == 10 then 
					对话选项("十级材料 ")
				end
				打印信息("szItem = "..szItem)
				local Ret = 0
				while 取任务参数(g_szMission,0) ~= 1 do 
					购买物品(szItem,1)
					延迟(1000)
					Ret = Ret + 1
					if Ret == 2 then 放弃任务(g_szMission) 打印信息("购买物品失败,放弃任务，等待再接")  break end
				end
				地图寻路(63,60)
				对话npc("周华荣")
				对话选项("返回洛阳")
				while 取地图名 ~= "钱庄" do 延迟(2000) 打印信息("正在离开钱庄") end
			end
			return 工程任务()
		end
		
		
	end



end


工程任务()